XCode 3 en macOS 10.7

Cómo instalar y utilizar XCode 3 en sistemas con macOS 10.7 Lion

macOS Lion solamente soporta la versión 4 de XCode, las herramientas de desarrollo de Apple.

Esto supone un problema serio para quienes desean continuar con XCode 3 por 2 motivos principales: muchos plugins de Interface Building que van bien en XCode 3 no funcionan en XCode 4 y, como sorpresa desagradable para muchos programadores, XCode 4 no soporta Applescript.

Método 1

Daniele Margutti ha propuesto una manera de solventar este inconveniente. Ten en cuenta que esta modificación no lleva implícita garantía alguna de que vaya a salir bien pero yo lo he probado en mi sistema con Lion y pude instalar XCode 3 y he utilizado en varias ocasiones el entorno de desarrollo sin contratiempos aparentes.
La solución que propone es:

  1. Convertir la imagen de disco de XCode 3.2.6 tal como se descarga desde Internet en una imagen de disco de lectura-escritura, para ello arrastra la imagen a la columna de la izquierda en Utilidad de Discos, pulsa el botón Convertir y elige el formato lectura-escritura en el desplegable
  2. Monta la nueva imagen
  3. Botón derecho en el icono “Xcode and iOS SDK” – Mostrar contenido del paquete
  4. Dentro de la carpeta Contents está el archivo iPhoneSDKSL.dist, ábrelo con un edito de texto
  5. Busca la cadena “10.7” y reemplázala por “10.8”
  6. Guarda el archivo modificado y ejecuta el instalador de XCode que ahora debería funcionar bien.

El único inconveniente que he observado es que Dashcode no arranca por lo que no se puede usar. Gracias a Daniele Margutti por esta ayuda.

Método 2

En el sitio anatomicwax.tumblr.com se ha publicado otra forma de hacerlo que resulta mucho más sencilla y cómoda que la otra. Consiste en:

  • Montar la imagen Xcode 3.2.6
  • Abrir Terminal
  • Introducir estos comandos:
 export COMMAND_LINE_INSTALL=1
 open "/Volumes/Xcode and iOS SDK/Xcode and iOS SDK.mpkg"

Se lanza el instalador y es posible instalar XCode 3 sin tener que realizar modificaciones previas al paquete.

Nota: si aparecen errores al comenzar la instalación (son más frecuentes si ya está instalado XCode 4) conviene reparar permisos, reiniciar y volver a intentarlo. Si el error aparece justo al finalizar la instalación, reinicia y arranca el entorno XCode porque puede ser que funcione correctamente a pesar de ese error final. Recuerda que Dashcode falla por lo que no es posible utilizarlo.